<template>
  <div id="registration">
    <h2 class="text-center mb-4">Good, let's start</h2>

    <div class="vx-row w-full sm:w-1/2 mb-0 sm:mb-6 mx-auto">
      <div class="vx-col w-full mb-4">
        <d-input
          v-model="regForm.email"
          validate="required|email"
          :label="$t('public.welcomePilot.email')"
        />
      </div>
      <div class="vx-col w-full mb-4">
        <d-input
          v-model="regForm.password"
          validate="required"
          :label="$t('public.welcomePilot.password')"
          type="password"
        />
      </div>
      <div class="vx-col w-full mb-4">
        <d-input
          v-model="regForm.confimPassword"
          validate="required"
          :label="$t('public.welcomePilot.confimPassword')"
          type="password"
        />
      </div>
    </div>

    <div class="mt-5 mb-4 w-full flex justify-center">
      <vs-button
        type="filled"
        style="min-width: 150px;"
        class="action-btn"
        :disabled="hasErrors || !correctPassword || !allRequiredFilled"
        :color="hasErrors || !correctPassword || !allRequiredFilled
              ? '#bbbbbb'
              : 'primary'"
        @click="$emit('nextStep', regForm)"
      >{{ $t('public.welcomePilot.register') }}</vs-button>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import { DInput } from "@/components/d-elements";

export default Vue.extend({
  components: {
    DInput
  },
  computed: {
    hasErrors() {
      // @ts-ignore
      return this.errors.items.length > 0;
    },

    correctPassword() {
      if (this.regForm.password || this.regForm.confimPassword) {
        if (this.regForm.password === this.regForm.confimPassword) {
          return true;
        }

        return false;
      }

      return true;
    },

    allRequiredFilled() {
      if (
        this.regForm.password &&
        this.regForm.confimPassword &&
        this.regForm.email
      ) {
        return true;
      }
      return false;
    }
  },
  data() {
    return {
      regForm: {
        email: "",
        password: "",
        confimPassword: ""
      }
    };
  }
});
</script>

<style lang="scss">
#registration {
}
</style>